
package com.tmerclub.cloud.order.bo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 虚拟订单核销记录
 *
 * @author TRACK
 */
public class OrderVirtualInfoLogBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "核销日志id")
    private Long orderVirutalInfoLogId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "订单号")
    private Long orderId;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @Schema(description = "自提点id")
    private Long stationId;

    @Schema(description = "核销门店")
    private String stationName;

    @Schema(description = "核销码")
    private String writeOffCode;

    @Schema(description = "是否核销 1.已核销 0.未核销")
    private Integer isWriteOff;

    @Schema(description = "核销时间是否过期 1是 0 否")
    private Integer isExpired;

    public Long getOrderVirutalInfoLogId() {
        return orderVirutalInfoLogId;
    }

    public void setOrderVirutalInfoLogId(Long orderVirutalInfoLogId) {
        this.orderVirutalInfoLogId = orderVirutalInfoLogId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getWriteOffCode() {
        return writeOffCode;
    }

    public void setWriteOffCode(String writeOffCode) {
        this.writeOffCode = writeOffCode;
    }

    public Integer getIsWriteOff() {
        return isWriteOff;
    }

    public void setIsWriteOff(Integer isWriteOff) {
        this.isWriteOff = isWriteOff;
    }

    public Integer getIsExpired() {
        return isExpired;
    }

    public void setIsExpired(Integer isExpired) {
        this.isExpired = isExpired;
    }

    @Override
    public String toString() {
        return "OrderVirtualInfoLogBO{" +
                "orderVirutalInfoLogId=" + orderVirutalInfoLogId +
                ", shopId=" + shopId +
                ", orderId=" + orderId +
                ", createTime=" + createTime +
                ", stationId=" + stationId +
                ", stationName='" + stationName + '\'' +
                ", writeOffCode='" + writeOffCode + '\'' +
                ", isWriteOff=" + isWriteOff +
                ", isExpired=" + isExpired +
                '}';
    }
}
